--- title: "Search for a subscription profile" slug: "search-for-a-subscription-profile" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/search-for-a-subscription-profile" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Search for a subscription profile Get/SearchClubs Allows you to search for subscription profiles. SecurityAPI Key: api_keyHeader parameter nameapi_key Query parameterspageIndexinteger (int32) A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results). pageSizeinteger (int32) Indicates how many results you want per page. if not supplied, a default value of 100 is used. sortstring The value you want to sort by. Possible values: Name Program CompanyOrganization Owner Club Company Starts Expires Size Used Created LastModified namestring An optional parameter used to filter for subscription profiles by name courseIdinteger (int32) An optional parameter used to filter for subscription profiles by the associated course ID createdAfterstring An optional parameter used to filter for subscription profiles created after a specified date createdBeforestring An optional parameter used to filter for subscription profiles created before a specified date Responses200 OK Response Expand Allobject Statusinteger (int32) Indicates the status of the API request. 0 = Success 10 = Error 20 = Not found 30 = Invalid integration key Example10 Errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10). TotalCountinteger (int32) The total number of results that match the search conditions, not all of which may be in the current result set. Example1 TotalPagesinteger (int32) The total number of result pages that match the search conditions. Example1 SearchClubResults Array of object (SearchClubResult) See SearchClubResult. object ClubIdinteger (int32) The subscription profile's unique identifier. Example523 Namestring The subscription profile's name. Example.Net Subscription Profile ProgramIdinteger (int32) The subscription profile's program. Example1 ProgramNamestring The subscription profile's program name. ExampleTraining OrganizationIdinteger (int32) The subscription profile's organization. Example387 OrganizationNamestring The subscription profile's organization name. ExampleABC Training Company Pricenumber The subscription profile's price. Example0.0 LastModifiedstring When the subscription profile was last modified. Example2017-04-19T22:16:07.967+0000 Createdstring When the subscription profile was created. Example2012-04-17T15:21:21.953+0000 CourseIds Array of object (ClubAssociatedCourses) A collection of ClubAssociatedCourses. object CourseIdinteger (int32) The subscription profile's associated couseId. Example8992 Namestring The course name. Example.NET Programming Fundamentals